LDmicro0.2
MICRO=Parallax Propeller II 100-TQFP
CYCLE=100000 us at Timer1, YPlcCycleDuty:0, ConfigurationWord(s):0x21B828BC00000006
CRYSTAL=20000000 Hz
BAUD=9600 Hz, RATE=1000000 Hz, SPEED=100000 Hz
COMPILER=ANSIC

PULL-UP LIST
    PA: 0xFFEFAF08 
    PB: 0xFF 
    PC: 0xFF 
    PD: 0xFF 
    PE: 0xFF 
    PF: 0xFF 
    PG: 0xFF 
    PH: 0xFF 
    PJ: 0xFF 
    PK: 0xFF 
    PL: 0xFF 
END

VAR LIST
    2 bytes Ccycle 	Now not used !!!
    2 bytes Cdigit 	Now not used !!!
    4 bytes Cnew 	Now not used !!!
    2 bytes Iosc 	Now not used !!!
    1 bytes TDelay1
    1 bytes TDelay2 	Now not used !!!
    1 bytes Tnew 	Now not used !!!
    2 bytes Toff 	Now not used !!!
    2 bytes Ton 	Now not used !!!
    1 bytes Tosc 	Now not used !!!
    2 bytes cnt 	Now not used !!!
    2 bytes digit 	Now not used !!!
    2 bytes digit0 	Now not used !!!
    2 bytes digit1 	Now not used !!!
    2 bytes digit2 	Now not used !!!
END

IO LIST
    XStart at 56 0 0
    XStop at 55 0 0
    YMBeenOnPin at 50 0 0
    YMotorOn at 57 0 0
END

PROGRAM
RUNG 1
  COMMENT Testing a very simple Start/Stop operation
END
RUNG 2
  PARALLEL
    SERIES
      CONTACTS XStart 0 0
      TON TDelay1 1000000 0
    END
    CONTACTS YMotorOn 0 0
    SERIES
      CONTACTS Rnew13 0 0
      PARALLEL
        CONTACTS Rnew15 0 0
        CONTACTS Rnew 0 0
      END
    END
    CONTACTS Rnew14 0 0
  END
  PARALLEL
    CONTACTS XStop 1 0
    SERIES
      CONTACTS Rnew 0 0
      PARALLEL
        CONTACTS Rnew 0 0
        CONTACTS Rnew 0 0
      END
    END
    SERIES
      CONTACTS Rnew 0 0
      CONTACTS Rnew 0 0
      CONTACTS Rnew 0 0
    END
  END
  COIL YMotorOn 0 0 0 0
END
RUNG 3
  CONTACTS YMotorOn 0 0
  COIL RMBeenOn 0 1 0 0
END
RUNG 4
  CONTACTS RMBeenOn 0 0
  COIL YMBeenOnPin 0 0 0 0
END
